umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs
testbase.h File Reference
`#include <QObject>`
`#include <QtTest>`
`#include <QSignalBlocker>`
`#include <QDomDocument>`
`#include <QXmlStreamWriter>`
`#include "uml.h"`
`#include "umldoc.h"`

Go to the source code of this file.

## Classes
class | TestBase
class | TestCodeGeneratorBase
class | SetLoading
class | TestUML< T, N >
class | TestWidget< T, N >

## Macros
#define | IS_NOT_IMPL() QSKIP("not implemented yet", SkipSingle)

## Typedefs
typedef QSignalBlocker | SignalBlocker

## Macro Definition Documentation

## ◆ IS_NOT_IMPL

#define IS_NOT_IMPL | ( |  | ) | QSKIP("not implemented yet", SkipSingle)

## Typedef Documentation

## ◆ SignalBlocker

typedef QSignalBlocker SignalBlocker